#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	autofs
Version		:	5.1.8
Release		:	17.0.10.rel%{?dist}
Summary		:	A kernel-based automounter for Linux

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://www.kernel.org/pub/linux/daemons/autofs/v5

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	bison
BuildRequires	:	flex
BuildRequires	:	libtirpc
BuildRequires	:	libxml2-devel
BuildRequires	:	util-linux

Requires	:	libtirpc
Requires	:	chkconfig
Requires(post)	:	glibc
Requires(postun):	glibc
#-----------------------------------------------------------------------------
%description
%{name} is a kernel-based automounter for Linux.  It performs a job
similar to amd(8) but relies on a small stub of kernel code instead of
pretending to be an NFS server.  The result is simpler code, better
reliability, and much faster operation in the common case (everything
already mounted.)

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README
%config (noreplace) %{_sysconfdir}/auto.{master,misc,net,smb}
%config (noreplace) %{_sysconfdir}/auto.master.d/auto.master
%config (noreplace) %{_sysconfdir}/autofs*.conf
%config (noreplace) %{_sysconfdir}/sysconfig/autofs
%{_sysconfdir}/rc.d/init.d/%{name}
%{_sbindir}/automount
%{_libdir}/%{name}/*.so
%{_libdir}/lib%{name}.so
%{_mandir}/man5/%{name}*.5.gz
%{_mandir}/man5/auto.master.5.gz
%{_mandir}/man8/%{name}.8.gz
%{_mandir}/man8/automount.8.gz

#after upgrade or remove
%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{name} stop > /dev/null 2>&1 || :
  %{_sbindir}/chkconfig --del %{name}
  fi

#-------------------------------------------------------------------
%post
/usr/sbin/ldconfig
%{_sbindir}/chkconfig --add %{name}
%{_sysconfdir}/rc.d/init.d/%{daemon} condrestart > /dev/null 2>&1 || :

#-------------------------------------------------------------------
%postun
/usr/sbin/ldconfig
if [ "$1" = 0 ]; then
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

#=============================================================================
%prep
%setup -q 

#to configure to be able to have debuginfo
sed -i								\
	-e "s/CFLAGS    ?= -O2 -Wall/CFLAGS   ?= -g -O2 -Wall/"	\
	-e "s/LDFLAGS   ?= -s/LDFLAGS   ?= -g/"			\
	Makefile.rules

#First fix an issue introduced by glibc-2.36:
grep -rl linux/fs modules | xargs sed -i "/linux\/fs/d"

#-----------------------------------------------------------------------------
#building application
%build

tar xf %{SOURCE1}

./configure							\
        --prefix=%{_prefix}					\
        --includedir=%{_includedir}				\
        --sysconfdir=%{_sysconfdir}				\
	--exec-prefix=%{_exec_prefix}				\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--datadir=%{_datadir}					\
	--infodir=%{_infodir}					\
	--docdir=%{_defaultdocdir}/%{name}-%{version}		\
	--with-libtirpc						\
	--enable-force-shutdown					\
	--enable-ignore-busy					\
	--without-openldap 					\
	--with-systemd=no					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	initdir=%{_sysconfdir}/rc.d/init.d		\
	STRIP=/bin/true					\
	install

%{__make}						\
	-C redhat

%{__mkdir_p} %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 redhat/autofs.conf			\
	 %{buildroot}%{_sysconfdir}/autofs.conf
install -m 644 redhat/autofs.sysconfig			\
	 %{buildroot}%{_sysconfdir}/sysconfig/autofs

install -m 644 samples/auto.master			\
	 %{buildroot}%{_sysconfdir}/auto.master
install -m 644 samples/auto.misc			\
	 %{buildroot}%{_sysconfdir}/auto.misc
install -m 755 samples/auto.net			\
	 %{buildroot}%{_sysconfdir}/auto.net
install -m 755 samples/auto.smb			\
	 %{buildroot}%{_sysconfdir}/auto.smb

#installing autofs starting/stopping script
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} -a 						\
	%{name}-ok_addon/%{name}			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d

#installing automaster addon directory
%{__mkdir_p} %{buildroot}%{_sysconfdir}/auto.master.d
#-----------------------------------------------------------------------------
#auto.master addon
%define		autotime	60
cat > %{buildroot}%{_sysconfdir}/auto.master.d/auto.master << "EOF"
# Begin /etc/auto.master.d/auto.master
# Generated by %{name} rpm file
# automatic umount, if not activity on device 
# within %{autotime} seconds
/media/auto  /etc/auto.misc  --ghost --timeout %{autotime}
#/home        /etc/auto.home
# End /etc/auto.master.d/auto.master
EOF

#-----------------------------------------------------------------------------
%changelog
